Bug 1164507 - Broken ru-phonetic layout since 2.11 -- update to 2.12
Summary: Broken ru-phonetic layout since 2.11 -- update to 2.12
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xkeyboard-config
Version: 6.6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-15 22:34 UTC by Dmitry Butskoy
Modified: 2015-07-22 06:10 UTC (History)
2 users (show)

(edit)
The previous upgrade also remapped three keys in the Russian phonetic keyboard layout: the "x" key was mapped to "ha", "h" to "che", and "=" to the soft sign. This change caused problems to users who expected the usual layout of the phonetic keyboard. Now, the layout has been fixed, and these keys are correctly mapped to the soft sign, "ha", and "che" respectively.
Clone Of:
(edit)
Last Closed: 2015-07-22 06:10:34 UTC


Attachments (Terms of Use)
The patch derived from upstream (2.41 KB, application/mbox)
2014-11-15 22:34 UTC, Dmitry Butskoy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1276 normal SHIPPED_LIVE xkeyboard-config bug fix and enhancement update 2015-07-20 17:49:14 UTC

Description Dmitry Butskoy 2014-11-15 22:34:11 UTC
Created attachment 957884 [details]
The patch derived from upstream

There is a bug in the upstream xkeyboard-config-2.11 -- three keys in ru(phonetic) layout was changed by a mistake. The wrong change is http://cgit.freedesktop.org/xkeyboard-config/commit/?id=09989fd4b68948be51567b2c78f3ce4e2f75c55c

The bug is fixed in 2.12, see http://cgit.freedesktop.org/xkeyboard-config/commit/?id=e8081e63d7218c267f767f0310e4dc7513ca8643

Whereas this layout might look rare, it is often used by russian natives who leave or work in USA and Europe, where there are normally no any cyrillic letters on most keyboards. After update to RHEL6.6/CentOS6.6 (where xkeyboard-config-2.11 appeared) these people have a huge inconvenience with layout which they used for yeas and which now wrongly changed.

Please, update to 2.12 (or patch properly) as soon as possible.

Comment 3 Peter Hutterer 2014-12-16 06:26:21 UTC
MODIFIED

xkeyboard-config-2.11-2.el6 is available in brew

Comment 5 Michael Boisvert 2015-04-29 18:17:07 UTC
Verified on xkeyboard-config-2.11-3.el6

Comment 7 errata-xmlrpc 2015-07-22 06:10:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1276.html


Note You need to log in before you can comment on or make changes to this bug.